/* General styles */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    font-family: "Poppins", sans-serif;
    font-size: 10px;
}

body {
    width: 100%;
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #1a1d24;
    padding: 0 1.5rem;
    font-size: 1.6rem;
}

a {
    text-decoration: none;
}

/* General styles end*/
.blog-post {
    display: flex;
    align-items: center;
    max-width: 90rem;
    background-color: #fff;
    padding: 3.5rem;
    box-shadow: 0 1.4rem 8rem rgba(0, 0, 0, 0.2);
    border-radius: 0.8rem;
}

.blog-post__img {
    position: relative;
    min-width: 35rem;
    max-width: 35rem;
    transform: translateX(-8rem);
}

.blog-post__img img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 0.8rem;
}

.blog-post__img::before {
    content: "";
    position: absolute;
    inset: 0;
    background: linear-gradient(to right, #0044D0 0%, #0037AE 100%);
    box-shadow: 0.5rem 0.5rem 3rem 1px rgba(0, 0, 0, 0.05);
    border-radius: 0.8rem;
    opacity: 0.5;
}

.blog-post__date span {
    display: block;
    color: #8e8c8c;
    font-weight: 600;
    margin: 0.5rem 0;
}

.blog-post__title {
    font-size: 2.5rem;
    margin: 1.5rem 0 1.5rem;
    text-transform: uppercase;
    color: #0037AE;
}

.blog-post__info {
    transform: translateX(-1.5rem);
}

.blog-post__cta {
    display: inline-block;
    text-align: center;
    min-width: 100%;
    background-image: linear-gradient(to right, #0037AE 0%, #0044D0 100%);
    padding: 1rem;
    letter-spacing: 1px;
    text-transform: uppercase;
    color: #fff;
    border-radius: 1rem;
}

.blog-post__cta:hover {
    background-image: linear-gradient(to right, #0044D0 0%, #0037AE 100%);
}

@media (max-width: 1068px) {
    .blog-post {
        max-width: 80rem;
    }

    .blog-post__img {
        min-width: 30rem;
        max-width: 30rem;
    }

    .blog-post__cta {
        min-width: 100%;
        padding: 1rem;
    }
}

@media (max-width: 868px) {
    .blog-post {
        max-width: 70rem;
    }
}

@media (max-width: 768px) {
    .blog-post {
        padding: 2.5rem;
        flex-direction: column;
        transform: translate(0, 7rem);
    }

    .blog-post__img {
        min-width: 100%;
        transform: translate(0, 0rem);
    }

    .blog-post__cta {
        min-width: 100%;
        padding: 1rem;
    }

    .blog-post__info {
        transform: translateX(0rem);
    }
}